Bug 1311494 - objdump -S disassembly code doesn't follow /usr/lib/debug/.... conventions, so can't find sources
Summary: objdump -S disassembly code doesn't follow /usr/lib/debug/.... conventions,...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: binutils
Version: 6.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Nick Clifton
QA Contact: Miloš Prchlík
URL:
Whiteboard:
Depends On: 1311352
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-24 11:12 UTC by Brad Hubbard
Modified: 2017-03-21 10:32 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The Fedora/RHEL specific global debug info directories were missing from the bfd library. Consequence: Any tool that used the bfd library to locate debug information would fail to find it if this information was installed into the /usr/lib/debug or /usr/lib/debug/usr directories. Fix: Add code to the bfd libraries to search for debug info files in the indicated directories. Result: The bfd library can now locate debug information when it is located in separate debug info files installed into the /usr/lib/debug directory heirarchy.
Clone Of: 1311352
Environment:
Last Closed: 2017-03-21 10:32:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
Add Red Hat specific search locations for debug info files (1.29 KB, patch)
2016-02-24 11:50 UTC, Nick Clifton
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0677 normal SHIPPED_LIVE binutils bug fix update 2017-03-21 12:36:14 UTC

Comment 1 Nick Clifton 2016-02-24 11:50:58 UTC
Created attachment 1130189 [details]
Add Red Hat specific search locations for debug info files

This patch will fix the problem...

Comment 6 Frank Ch. Eigler 2016-03-08 13:40:20 UTC
redirecting to RHEL6; bug also exists on RHEL6.7

Comment 10 Nick Clifton 2016-07-05 10:23:45 UTC
Fixed in:

binutils-2.20.51.0.2-5.45.el6

Comment 14 Miloš Prchlík 2017-01-21 18:38:01 UTC
Verified with build binutils-2.20.51.0.2-5.46.el6.

Comment 16 errata-xmlrpc 2017-03-21 10:32:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0677.html


Note You need to log in before you can comment on or make changes to this bug.